

export function BulbBox({title, children}:{title: string, children: React.ReactNode}){
    return(
        <aside className="hint-container tip">
          <p className="hint-container-title">
            {title}
          </p>
          <div className="v-card-text">
            <p>
                {children}
            </p>
          </div>
        </aside>
    )
}

export function InfoBox({title, children}:{title: string, children: React.ReactNode}){
    return(
        <aside className="hint-container info">
          <p className="hint-container-title">
            {title}
          </p>
          <div className="v-card-text">
            <p>
                {children}
            </p>
          </div>
        </aside>
    )
}
export function WarnBox({title, children}:{title: string, children: React.ReactNode}){
    return(
        <aside className="hint-container warning">
          <p className="hint-container-title">
            {title}
          </p>
          <div className="v-card-text">
            <p>
                {children}
            </p>
          </div>
        </aside>
    )
}