import { H1 } from './headings.tsx';
interface HeaderProps {
  title: string;
  lead: string;
}

export function Header({ title, lead }: HeaderProps) {
  return (
    <header className="py-5 mb-5">
      <div className="container h-100">
        <div className="row h-100 align-items-center">
          <div className="col-lg-12">
          <H1 text={title}></H1>
            <p className="lead mb-5">{lead}</p>
          </div>
        </div>
      </div>
    </header>
  );
}
